## python-socksipychain 2.1.2

=== Makefile ===
# These are rules for building various types of distributions of this
# module.  This Makefile is known to work on an Ubuntu 11.04 and builds
# the following packages:
#
#    - Source .tar.gz distribution
#    - Source and binary (noarch) .rpm for: RHEL 4/5/6, Fedora 13/14/15
#    - Binary (all) .deb
#
dist: .deb .rpm .targz
	@echo ======= BUILD OK =====================
	@ls -l dist/

VERSION=`python setup.py --version`

.targz:
	@echo ======= .TAR.GZ =====================
	@python setup.py sdist
	@touch .targz

.deb: .targz debian/control.in setup.py Makefile
	@echo ======= .DEB =====================
	@rm -f setup.cfg
	@cp -v dist/SocksipyChain*tar.gz \
                ../python-socksipychain-$(VERSION)_$(VERSION).orig.tar.gz
	@sed -e "s/@VERSION@/$(VERSION)/g" \
		< debian/control.in >debian/control
	@sed -e "s/@VERSION@/$(VERSION)/g" \
		< debian/copyright.in >debian/copyright
	@sed -e "s/@VERSION@/$(VERSION)/g" \
	     -e "s/@DATE@/`date -R`/g" \
		< debian/changelog.in >debian/changelog
	@debuild -i -us -uc -b
	@mv ../python-socksipychain_*.deb dist/
	@rm ../python-socksipychain-*
	@touch .deb

.rpm: rpm_el4 rpm_el5 rpm_el6-fc13 rpm_fc14-15 rpm_fc16-17
	@touch .rpm

rpm_fc16-17:
	@./scripts/rpm-setup.sh 0pagekite_fc16fc17 /usr/lib/python2.7/site-packages
	@make rpm

rpm_fc14-15:
	@./scripts/rpm-setup.sh 0pagekite_fc14fc15 /usr/lib/python2.7/site-packages
	@make rpm

rpm_el4:
	@./scripts/rpm-setup.sh 0pagekite_el4 /usr/lib/python2.3/site-packages
	@make rpm

rpm_el5:
	@./scripts/rpm-setup.sh 0pagekite_el5 /usr/lib/python2.4/site-packages
	@make rpm

rpm_el6-fc13:
	@./scripts/rpm-setup.sh 0pagekite_el6fc13 /usr/lib/python2.6/site-packages
	@make rpm

rpm: setup.py sockschain/__init__.py Makefile
	@echo ======= .RPM =====================
	@sed -i -e 's/"Socks/"python-Socks/g' setup.py
	@python setup.py bdist_rpm --install scripts/rpm-install.sh
	@sed -i -e 's/"python-Socks/"Socks/g' setup.py

clean:
	@rm -rf .rpm .targz .deb build MANIFEST *.egg-info setup.cfg
	@rm -rf debian/files debian/control debian/copyright debian/python-*
	@rm -rf debian/changelog

distclean: clean
	@rm -rf dist/*

## python-socksipychain 2.0.12

=== debian/changelog ===
python-socksipychain (2.0.12-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Make Sunil Mohan Adapa the maintainer and put myself as an uploader.
  * Add debian/watch file.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 23 Mar 2014 18:02:36 +0100

python-socksipychain (2.0.12-1) unstable; urgency=low

  * Initial release (Closes: #741152).
  * Maintaining packaging in collab-maint git repository.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Mar 2014 10:52:08 +0100

=== debian/control ===
Source: python-socksipychain
Section: python
Priority: optional
Maintainer: Sunil Mohan Adapa <sunil@medhas.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 , debhelper (>= 9),
 , python-support (>= 0.8.4),
 , python (>= 2.4)
 , python-setuptools
XS-Python-Version: >= 2.4
Standards-Version: 3.9.5
Homepage: http://pagekite.net/wiki/Floss/PySocksipyChain/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-socksipychain.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-socksipychain.git

Package: python-socksipychain
Depends: ${misc:Depends},
         ${python:Depends},
Architecture: all
Homepage: http://pagekite.net/wiki/Floss/PySocksipyChain/
Description: Python SOCKS/HTTP/SSL chaining proxy module
 This Python module allows you to create TCP connections through a chain
 of SOCKS or HTTP proxies without any special effort. It also supports
 TLS/SSL encryption if the OpenSSL modules are installed.

## python-socksipychain 2.0.15

=== debian/changelog ===
python-socksipychain (2.0.15-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2015 12:43:37 +0000

python-socksipychain (2.0.12-3) unstable; urgency=low

  [ Sunil Mohan Adapa ]
  * Migrate to dh_python2 (Closes: #786167).
  * Use pybuild.
  * Fix minor issues in copyright file.
  * Update standards version 3.9.6.
  * Remove PROTOCOL_SSLv3 and default to PROTOCOL_SSLv23 (See: #790271).

 -- Federico Ceratto <federico@debian.org>  Fri, 03 Jul 2015 01:32:58 +0100

=== debian/control ===
Source: python-socksipychain
Section: python
Priority: optional
Maintainer: Sunil Mohan Adapa <sunil@medhas.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Federico Ceratto <federico@debian.org>
Build-Depends:
 , debhelper (>= 9)
 , dh-python
 , python (>= 2.6.6-3~)
 , python-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: http://pagekite.net/wiki/Floss/PySocksipyChain/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-socksipychain.git
Vcs-Git: git://anonscm.debian.org/collab-maint/python-socksipychain.git

Package: python-socksipychain
Depends: ${misc:Depends},
         ${python:Depends},
Architecture: all
Description: Python SOCKS/HTTP/SSL chaining proxy module
 This Python module allows you to create TCP connections through a chain
 of SOCKS or HTTP proxies without any special effort. It also supports
 TLS/SSL encryption if the OpenSSL modules are installed.

=== debian/watch ===
version=3
http://pagekite.net/pk/src/SocksipyChain-(.+)\.tar\.gz

## python-socksipychain 2.1.0

=== debian/changelog ===
python-socksipychain (2.1.0-2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Add Replaces on python-socksipychain as the binary /usr/bin/sockschain
    is preset in both packages.
  * Add Breaks on python-socksipychain to hint that python3-sockipychain
    should be used instead of older package (Closes: #947812).
  * Migrate an autopkgtest to Python 3 from Python 2 (Closes: #948930)
    (Closes: #938184).

 -- Federico Ceratto <federico@debian.org>  Fri, 31 Jan 2020 10:29:59 +0000

python-socksipychain (2.1.0-1) unstable; urgency=medium

  [ James Valleroy ]
  * d/control: Use salsa repo for Vcs
  * Add autopkgtests

  [ Federico Ceratto ]
  * New upstream release
  * Switch to Python 3 (Closes: #938184)

 -- Federico Ceratto <federico@debian.org>  Tue, 24 Dec 2019 20:36:54 +0000

python-socksipychain (2.0.15-2) unstable; urgency=medium

  * Change maintianer to the FreedomBox packaging team.
  * Add d/gpb.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.0.0.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 14 Jul 2017 08:10:16 +0000

=== debian/control ===
Source: python-socksipychain
Section: python
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Sunil Mohan Adapa <sunil@medhas.org>
 , Petter Reinholdtsen <pere@debian.org>
 , Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: dh-python,
 python3-all,
 python3-setuptools,
 python3-six
Standards-Version: 4.4.1
Homepage: http://pagekite.net/wiki/Floss/PySocksipyChain/
Vcs-Browser: https://salsa.debian.org/freedombox-team/python-socksipychain
Vcs-Git: https://salsa.debian.org/freedombox-team/python-socksipychain.git

Package: python3-socksipychain
Depends: ${misc:Depends},
         ${python3:Depends},
Architecture: all
Breaks: python-socksipychain
Replaces: python-socksipychain
Description: Python SOCKS/HTTP/SSL chaining proxy module
 This Python module allows you to create TCP connections through a chain
 of SOCKS or HTTP proxies without any special effort. It also supports
 TLS/SSL encryption if the OpenSSL modules are installed.

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import sockschain; print(sockschain)" ; done
Depends: python-all, @

Test-Command: set -e ; which sockschain
Depends: @

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PySocksipyChain-$1\.tar\.gz/ \
  https://github.com/pagekite/PySocksipyChain/tags .*/v?(\d\S*)\.tar\.gz

## python-socksipychain 2.1.0.5.geb5ee87

=== debian/changelog ===
python-socksipychain (2.1.0.5.geb5ee87-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * New upstream release (from git due to missing release tag).
  * d/t/control: Replace a test dependency on python-all with python3-all.
  * d/copyright: Update copyright format URI
  * d/control: Set Rules-Requires-Root: no

 -- Federico Ceratto <federico@debian.org>  Tue, 31 Mar 2020 00:44:40 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  python3-all,
  python3-setuptools,
  python3-six
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://pagekite.net/wiki/Floss/PySocksipyChain/
 Vcs-Browser: https://salsa.debian.org/freedombox-team/python-socksipychain
 Vcs-Git: https://salsa.debian.org/freedombox-team/python-socksipychain.git

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import sockschain; print(sockschain)" ; done
Depends: python3-all, @

Test-Command: set -e ; which sockschain
Depends: @

## python-socksipychain 2.1.2

=== debian/changelog ===
python-socksipychain (2.1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Sunil Mohan Adapa ]
  * d/copyright: Update copyright year in debian/copyright.
  * d/patches: Add patch to support Python 3.12.
  * d/control: Update standards version to 4.6.2 (no changes needed).

 -- Sunil Mohan Adapa <sunil@medhas.org>  Fri, 16 Aug 2024 10:07:52 -0700

python-socksipychain (2.1.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Federico Ceratto ]
  * Bump debhelper from old 12 to 13.
  * New upstream release
  * Add Restrictions: superficial (Closes: #974523)

 -- Federico Ceratto <federico@debian.org>  Fri, 27 Nov 2020 16:35:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Sunil Mohan Adapa <sunil@medhas.org>
  , Petter Reinholdtsen <pere@debian.org>
  , Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python,
  python3-all,
  python3-setuptools,
  python3-six
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://pagekite.net/wiki/Floss/PySocksipyChain/
 Vcs-Browser: https://salsa.debian.org/freedombox-team/python-socksipychain

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,compression=gzip,pretty=describe,\
uversionmangle=s/^v//,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/pagekite/PySocksipyChain HEAD
